.main{
    display: flex;
    flex-direction: column;
    width: 1400px;
    background: #EEEEEF;
    margin: 0 auto;
    position: relative;

    &__store_header {
        padding-top: 104px;
        margin: 0 auto;
    }

    &__header {
        width: 1296px;
        border-bottom: 1px solid #A8A8A8;
        padding-bottom: 23px;
        margin-bottom: 23px;
        color: #1F1F1F;
        font-family: 'Cabin', sans-serif;
        font-size: 32px;
        font-style: normal;
        font-weight: 600;
        line-height: 40px; 
    }

    &__store-list {
        display: grid;
        justify-content: center;
        grid-template-columns: repeat(4,306px);
        grid-template-rows: repeat(3,auto);
        column-gap: 24px;
        row-gap: 32px;
        margin-bottom: 120px;
    }

    .product-cart {
            display: flex;
            justify-content: center;
            flex-direction: column;
            padding: 32px;
            width: 242px;
            background-color: #F8FDFE;
            position: relative;

            &__image {
                text-align: center;
            }

            &__img {
                z-index: 1;
                margin: 0 auto;
                width: 178px;
                height: 280px;
            } 

            &__header {
                overflow: hidden;
                color:  #1F1F1F;
                text-overflow: ellipsis;
                white-space: nowrap;
                font-family: 'Cabin', sans-serif;
                font-size: 20px;
                font-style: normal;
                font-weight: 700;
                line-height: 28px;
            
                margin-top: 16px;
                text-decoration: none;
            }

            &__name {
                overflow: hidden;
                color: #8E8E8E;
                text-overflow: ellipsis;
                white-space: nowrap;
                font-family: 'Cabin', sans-serif;
                font-size: 16px;
                font-style: normal;
                font-weight: 400;
                line-height: 24px; 
            
                border-top: 1px solid #8E8E8E;
            }

            &__price-container {
                display: flex;
                align-items: center;
                gap: 24px;
                margin-top: 8px;
            }

            &__price {
                color: #8E8E8E;
                font-family: 'Cabin', sans-serif;
                font-size: 24px;
                font-style: normal;
                font-weight: 500;
                line-height: 32px;
                text-decoration-line: line-through;

                &--sale {
                    color: #E90000;
                    font-family: 'Cabin', sans-serif;
                    font-size: 24px;
                    font-style: normal;
                    font-weight: 500;
                    line-height: 32px; 
                    text-decoration-line: none;
                }
            }

            &__button{
                display: flex;
                padding: 8px 24px;
                justify-content: center;
                align-items: center;
                align-self: stretch;
                border-radius: 4px;
                margin-top: 16px;
                border: none;
            
                color: #F8FDFE;
                text-align: center;
                font-family: 'Cabin', sans-serif;
                font-size: 16px;
                font-style: normal;
                font-weight: 400;
                line-height: 24px; 

                &--add {
                    background-color: #744978;
                }

                &--add:hover {
                    background-color: #4C394E;
                }

                &--end {
                    background-color: #6DB236;
                }

                &--end:hover {
                    background-color: #4D762D;
                }
        }

        .badges {
            display: flex;
            flex-direction: row;
            gap: 4px;
            // transform: translateY(-247.5px);
            top: 32px;
            left: 30px;
            z-index: 2;
            position: absolute;
        }

        .badges__badge {

            padding: 4px 8px;
            border-radius: 4px;
            width: fit-content;
            color: #F8FDFE;
            text-align: center;
            font-family: 'Cabin', sans-serif;
            font-size: 16px;
            font-style: normal;
            font-weight: 400;
            line-height: 24px; 

            &--hit {
                background-color: #4200FF;
            }

            &--new {
                background-color: #AF39E7;
            }

            &--sale {
                background-color: #EA33C0;
            }
        }
    }

    .chat__icon {
        z-index: 4;
        position: fixed;
        top: 25%;
        right: 12.5%;
        border: none;
        padding: 6.4px;
        background-color: #10BBD5;
        border-radius: 50%;

        &:hover img{
            transform: rotate(13deg);
        }
        
        & img{
            margin: auto;
        }
    }

}




